> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns

> List all red team campaigns across all teams the user belongs to (subject to per-team permissions).



## OpenAPI

````yaml /openapi/api.json get /v1/campaigns
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/campaigns:
    get:
      tags:
        - Red Team
        - redteam
      summary: List Campaigns
      description: >-
        List all red team campaigns across all teams the user belongs to
        (subject to per-team permissions).
      operationId: list_campaigns_v1_campaigns_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  items:
                    additionalProperties: true
                    type: object
                  type: array
                type: object
                title: Response List Campaigns V1 Campaigns Get

````